package com.example.camerademo.activity;

import com.example.camerademo.R;
import com.example.camerademo.decode.DecodeThread;
import com.lidroid.xutils.ViewUtils;
import com.lidroid.xutils.view.annotation.ViewInject;
import com.lidroid.xutils.view.annotation.event.OnClick;

import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.os.Bundle;
import android.view.View;
import android.widget.ImageView;
import android.widget.TextView;

public class CaptureResultActivity extends BaseActivity {

	private ImageView mResultImage;
	private TextView mResultText;
	
	@ViewInject(R.id.tv_codeType)
	private TextView tv_codeType; //条码类型
	@ViewInject(R.id.tv_dataType)
	private TextView tv_dataType; //数据类型
	@ViewInject(R.id.tv_time)
	private TextView tv_time; //扫描的时间
	@ViewInject(R.id.tv_metadata) 
	private TextView tv_metadata; //元数据

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_result);
		ViewUtils.inject(this);

		Bundle extras = getIntent().getExtras();

		mResultImage = (ImageView) findViewById(R.id.result_image);
		mResultText = (TextView) findViewById(R.id.result_text);

		if (null != extras) {

			String result = extras.getString("result");
			mResultText.setText(result);
			
			String codeType = extras.getString("codeType");
			tv_codeType.setText(getString(R.string.text_code_type) + codeType);
			
			String dataType = extras.getString("dataType");
			tv_dataType.setText(getString(R.string.text_data_type) + dataType);
			
			String metadata = extras.getString("metadata");
			tv_metadata.setText(getString(R.string.text_metadata) + metadata);

			Bitmap barcode = null;
			byte[] compressedBitmap = extras.getByteArray(DecodeThread.BARCODE_BITMAP);
			if (compressedBitmap != null) {
				barcode = BitmapFactory.decodeByteArray(compressedBitmap, 0, compressedBitmap.length, null);
				barcode = barcode.copy(Bitmap.Config.ARGB_8888, true);
			}
			mResultImage.setImageBitmap(barcode);
			
			tv_time.setText(getString(R.string.text_time) + getDateFormat("yyyy-MM-dd HH:mm", System.currentTimeMillis()));
		}
	}
	
	@OnClick({R.id.tv_back})
	private void onMyClick(View v) {
		switch (v.getId()) {
		case R.id.tv_back: //返回
			finish();
			break;

		default:
			break;
		}
	}
	
}
